petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatNullSpaceRemove

Removes all the components of a null space from a vector.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatNullSpaceRemove(MatNullSpace sp,Vec vec)

Collective on MatNullSpace

### Input Parameters

| sp | - the null space context
| vec | - the vector from which the null space is to be removed

### Keywords

PC, null space, remove

### See Also

MatNullSpaceCreate(), MatNullSpaceDestroy(), MatNullSpaceSetFunction()

Level:advanced
Location:src/mat/interface/matnull.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex29.c.html
src/ksp/ksp/examples/tutorials/ex32.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
src/ksp/ksp/examples/tutorials/ex50.c.html